D4Science Infrastructure - Upgrade #4327
Upgrade # 4319 (Completed): D4Science Infrastructure Upgrade to gCube 4.0

D4Science Gateways upgrade to gCube 4.0
Jun 22, 2016 12:47 PM - Massimiliano Assante

Status: Completed Start date: Jun 22, 2016
Priority: High Due date: Jul 28, 2016
Assignee: Massimiliano Assante % Done: 100%
Target version: D4Science Infrastructure Upgrade to

gCube 4.0.0
Infrastructure: Production
Description
Subtasks:
Upgrade # 4328: Preprod Gateway upgrade to gCube 4.0 Completed
Task # 4364: Update production keyspace definition on Cassandra Cluster to support new ... Closed
Task # 4442: Create Custom Fields in Liferay DB for Site Closed
Task # 4448: Authorize Redirect URLSs for LinkedIn Profile import for all the Production... Closed
Task # 4450: Modify the Email Notification sent over new user registrations Closed
Task # 4476: Please create new VM for production HA Proxy and deploy it Closed
Task # 4477: Create a new VM for tomcat production cluster Closed
Task # 4703: Create Tomcat startup script at boot Closed
Task # 4640: Dismiss BiOnym apps Closed
Task # 4788: StatMan and TrendyLyzer web apps substitution Closed
Task # 4811: Update Terms of Use page for each Gateway Closed
Task # 4812: Update Cookies Policy page for each Gateway Closed
Task # 4813: Deploy Google Analytics tool for each Gateway Closed
History

#1 - Jun 24, 2016 06:03 PM - Massimiliano Assante

e DONE Add redirect URI for Google and LinkedIn logins
https://console.developers.google.com/apis/library ?project=d4science-infrastructure-1252

IMPORTANT

e DONE The mail reader hook should be deployed, the industry custom field should be added to the User table (LR) (as Hidden). Also the custom
fields for the Statistics protlet (as Hidden)

e DONE AFTER IMPORTED ALL USERS remember to se true the following:

users.screen.name.always.autogenerate=true
* DONE the user registration hook should be deployed after the imports users procedure is completed.

e DONE The Role "Infrastructure-Manager" should be set to rootVO members for new user accounts, and to Site (vHosts) members for new users
registrations.

e DONE The VME-DB editor roles for RFMOs should be translated into VRE Groups (Teams)

* DONE The following Site roles should be created:

**DONE** VRE_MANAGER ("VRE-Manager"),
**DONE**VRE_DESIGNER ("VRE-Designer"),
**DONE** VO_ADMIN ("VO-Admin"),
**DONE** INFRASTRUCTURE_MANAGER ("Infrastructure—-Manager"),
**DONE** DATA_MANAGER ("Data-Manager"),
**DONE** CATALOGUE_ADMIN ("Catalogue-Admin"),
https://console.developers.google.com/apis/library?project=d4science-infrastructure-1252

**DONE** CATALOGUE_EDITOR ("Catalogue-Editor");

DONE The portalinstancename property in tomcat/conf/gcube-data property should have the name of the Infra-gateway name service endpoint (to
be created) this would be needed to make Ldap Export servlet work. (only one instance of the cluster may have the export servlet)

#2 - Jul 25, 2016 12:19 PM - Massimiliano Assante

- Status changed from New to Planned

#3 - Jul 25, 2016 02:33 PM - Massimiliano Assante

- Status changed from Planned to In Progress

#4 - Jul 28, 2016 12:32 PM - Massimiliano Assante

- Status changed from In Progress to Completed

May 02, 2025 22


http://www.tcpdf.org

